Bug 31451 - mono_trace_set_printerr_handler calls g_set_print_handler instead of g_set_printerr_handler
Summary: mono_trace_set_printerr_handler calls g_set_print_handler instead of g_set_pr...
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Tools (show other bugs)
Version: 4.0.0
Hardware: All All
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-06-29 03:37 UTC by ikolev
Modified: 2015-07-12 12:35 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description ikolev 2015-06-29 03:37:05 UTC
On line 340 in the function mono_trace_set_printerr_handler in mono-4.0.2\mono\utils\mono-logger.c g_set_printerr_handler should be called instead of g_set_print_handler.
Comment 1 Zoltan Varga 2015-07-10 15:41:16 UTC
This is already fixed in mono master and the upcoming mono 4.2.
Comment 2 ikolev 2015-07-12 10:27:36 UTC
Doesn't seem that way to me. Looking at

https://github.com/mono/mono/blob/master/mono/utils/mono-logger.c

I still see the same code:

void
mono_trace_set_printerr_handler (MonoPrintCallback callback)
{
	g_assert (callback);
	printerr_callback = callback;
	g_set_print_handler (printerr_handler);
}

while g_set_print_handler should be g_set_printerr_handler.
The same is true about the mono-4.2.0-pre-branch and mono-4.2.0-pre2-branch.
Unless the latest changes have not yet been pushed to github.
Comment 3 Zoltan Varga 2015-07-12 12:35:49 UTC
Sorry about that, should be fixed now.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.